# Generated from sensu-plugins-jenkins-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-jenkins

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Sensu plugins for jenkins
License: MIT
URL: https://github.com/sensu-plugins/sensu-plugins-jenkins
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(github-markup) >= 1.3
# BuildRequires: rubygem(github-markup) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rubocop) >= 0.40.0
# BuildRequires: rubygem(rubocop) < 0.41
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
This plugin provides native Jenkins instrumentation
for monitoring and metrics collection, including:
health, job status, metrics via `JQS`, and others.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/metrics-jenkins.rb
%{_bindir}/check-jenkins.rb
%{_bindir}/metrics-jenkins-jqs.rb
%{_bindir}/check-jenkins-health.rb
%{_bindir}/check-jenkins-job-status.rb
%{_bindir}/check-jenkins-build-time.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 2.0.0-1
- Initial package
